summaryrefslogtreecommitdiff
path: root/.local/bin/newsup
diff options
context:
space:
mode:
authorJackson Taylor <jackson@jacksontaylor.xyz>2021-02-01 19:04:54 -0500
committerJackson Taylor <jackson@jacksontaylor.xyz>2021-02-01 19:04:54 -0500
commitaa3f11586147f2a9528e59688a6607d386d2b818 (patch)
treee2b26ad9c82fcd1163df4c6acf6a4cce89527cbe /.local/bin/newsup
parent445f6eaeb94d97aa271970b0fdbbb6841dd349a4 (diff)
Add local bin folder
Diffstat (limited to '.local/bin/newsup')
-rwxr-xr-x.local/bin/newsup17
1 files changed, 17 insertions, 0 deletions
diff --git a/.local/bin/newsup b/.local/bin/newsup
new file mode 100755
index 0000000..29f2b3c
--- /dev/null
+++ b/.local/bin/newsup
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Set as a cron job to check for new RSS entries for newsboat.
+# If newsboat is open, sends it an "R" key to refresh.
+
+ping -q -c 1 example.org > /dev/null || exit
+
+/usr/bin/notify-send "📰 Updating RSS feeds..."
+
+pgrep -f newsboat$ && /usr/bin/xdotool key --window "$(/usr/bin/xdotool search --name newsboat)" R && exit
+
+echo 🔃 > /tmp/newsupdate
+pkill -RTMIN+6 "${STATUSBAR:-dwmblocks}"
+/usr/bin/newsboat -x reload
+rm -f /tmp/newsupdate
+pkill -RTMIN+6 "${STATUSBAR:-dwmblocks}"
+/usr/bin/notify-send "📰 RSS feed update complete."